Package Gnumed :: Package wxpython :: Module gmMultiSash :: Class cMultiSash |
[frames] | no frames]

# Class cMultiSash

source code

         object --+
                  |
    wx._core.Object --+
                      |
    wx._core.EvtHandler --+
                          |
            wx._core.Window --+
                              |
                             cMultiSash

Main multisash widget. Dynamically displays a stack of child widgets.

Instance Methods
EvtHandler |
__init__(self, *_args, **_kwargs) __init__(self, Window parent, int id=-1, Point pos=DefaultPosition, Size size=DefaultSize, long style=0, String name=PanelNameStr) -> Window | source code
get_focussed_leaf(self) Retrieves the currently focused leaf. | source code
get_displayed_leafs(self) Retrieves the currently displayed leafs. | source code
add_content(self, content) Adds he supplied content widget to the multisash, setting it as child of the bottom leaf. | source code
Clear(self) Clear all mulsisash leafs and restores initial values | source code
refresh_bottom_leaf(self, bottom_leaf=None) Updates the field that keeps track of the bottom leaf. | source code
refresh_displayed_leafs(self, splitter) Recursively find all displayed leafs. | source code
Inherited from `wx._core.Window`: `AcceptsFocus`, `AcceptsFocusFromKeyboard`, `AddChild`, `AssociateHandle`, `CacheBestSize`, `CaptureMouse`, `Center`, `CenterOnParent`, `CenterOnScreen`, `Centre`, `CentreOnParent`, `CentreOnScreen`, `ClearBackground`, `ClientToScreen`, `ClientToScreenXY`, `Close`, `ConvertDialogPointToPixels`, `ConvertDialogSizeToPixels`, `ConvertPixelPointToDialog`, `ConvertPixelSizeToDialog`, `Create`, `DLG_PNT`, `DLG_SZE`, `Destroy`, `DestroyChildren`, `Disable`, `DissociateHandle`, `DragAcceptFiles`, `Enable`, `FindWindowById`, `FindWindowByName`, `Fit`, `FitInside`, `Freeze`, `GetAcceleratorTable`, `GetAdjustedBestSize`, `GetAutoLayout`, `GetBackgroundColour`, `GetBackgroundStyle`, `GetBestFittingSize`, `GetBestSize`, `GetBestSizeTuple`, `GetBestVirtualSize`, `GetBorder`, `GetCaret`, `GetCharHeight`, `GetCharWidth`, `GetChildren`, `GetClientAreaOrigin`, `GetClientRect`, `GetClientSize`, `GetClientSizeTuple`, `GetConstraints`, `GetContainingSizer`, `GetCursor`, `GetDefaultAttributes`, `GetDefaultItem`, `GetDropTarget`, `GetEventHandler`, `GetExtraStyle`, `GetFont`, `GetForegroundColour`, `GetFullTextExtent`, `GetGrandParent`, `GetHandle`, `GetHelpText`, `GetId`, `GetLabel`, `GetMaxHeight`, `GetMaxSize`, `GetMaxWidth`, `GetMinHeight`, `GetMinSize`, `GetMinWidth`, `GetName`, `GetParent`, `GetPosition`, `GetPositionTuple`, `GetRect`, `GetScrollPos`, `GetScrollRange`, `GetScrollThumb`, `GetSize`, `GetSizeTuple`, `GetSizer`, `GetTextExtent`, `GetThemeEnabled`, `GetTitle`, `GetToolTip`, `GetUpdateClientRect`, `GetUpdateRegion`, `GetValidator`, `GetVirtualSize`, `GetVirtualSizeTuple`, `GetWindowStyle`, `GetWindowStyleFlag`, `GetWindowVariant`, `HasCapture`, `HasFlag`, `HasScrollbar`, `HasTransparentBackground`, `Hide`, `HitTest`, `HitTestXY`, `InheritAttributes`, `InheritsBackgroundColour`, `InitDialog`, `InvalidateBestSize`, `IsBeingDeleted`, `IsEnabled`, `IsExposed`, `IsExposedPoint`, `IsExposedRect`, `IsRetained`, `IsShown`, `IsTopLevel`, `Layout`, `LineDown`, `LineUp`, `Lower`, `MakeModal`, `Move`, `MoveAfterInTabOrder`, `MoveBeforeInTabOrder`, `MoveXY`, `Navigate`, `PageDown`, `PageUp`, `PopEventHandler`, `PopupMenu`, `PopupMenuXY`, `PostCreate`, `PrepareDC`, `PushEventHandler`, `Raise`, `Refresh`, `RefreshRect`, `RegisterHotKey`, `ReleaseMouse`, `RemoveChild`, `RemoveEventHandler`, `Reparent`, `ScreenToClient`, `ScreenToClientXY`, `ScrollLines`, `ScrollPages`, `ScrollWindow`, `SendSizeEvent`, `SetAcceleratorTable`, `SetAutoLayout`, `SetBackgroundColour`, `SetBackgroundStyle`, `SetBestFittingSize`, `SetCaret`, `SetClientRect`, `SetClientSize`, `SetClientSizeWH`, `SetConstraints`, `SetContainingSizer`, `SetCursor`, `SetDefaultItem`, `SetDimensions`, `SetDropTarget`, `SetEventHandler`, `SetExtraStyle`, `SetFocus`, `SetFocusFromKbd`, `SetFont`, `SetForegroundColour`, `SetHelpText`, `SetHelpTextForId`, `SetId`, `SetLabel`, `SetMaxSize`, `SetMinSize`, `SetName`, `SetOwnBackgroundColour`, `SetOwnFont`, `SetOwnForegroundColour`, `SetPosition`, `SetRect`, `SetScrollPos`, `SetScrollbar`, `SetSize`, `SetSizeHints`, `SetSizeHintsSz`, `SetSizeWH`, `SetSizer`, `SetSizerAndFit`, `SetThemeEnabled`, `SetTitle`, `SetTmpDefaultItem`, `SetToolTip`, `SetToolTipString`, `SetValidator`, `SetVirtualSize`, `SetVirtualSizeHints`, `SetVirtualSizeHintsSz`, `SetVirtualSizeWH`, `SetWindowStyle`, `SetWindowStyleFlag`, `SetWindowVariant`, `ShouldInheritColours`, `Show`, `Thaw`, `TransferDataFromWindow`, `TransferDataToWindow`, `UnregisterHotKey`, `Update`, `UpdateWindowUI`, `UseBgCol`, `Validate`, `WarpPointer`, `__repr__` Inherited from `wx._core.EvtHandler`: `AddPendingEvent`, `Bind`, `Connect`, `Disconnect`, `GetEvtHandlerEnabled`, `GetNextHandler`, `GetPreviousHandler`, `ProcessEvent`, `ProcessPendingEvents`, `SetEvtHandlerEnabled`, `SetNextHandler`, `SetPreviousHandler`, `Unbind` Inherited from `wx._core.Object`: `GetClassName` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `wx._core.Window`: `FindFocus`, `GetCapture`, `GetClassDefaultAttributes`, `NewControlId`, `NextControlId`, `PrevControlId`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, *_args, **_kwargs) (Constructor) | source code
    __init__(self, Window parent, int id=-1, Point pos=DefaultPosition,
        Size size=DefaultSize, long style=0, String name=PanelNameStr) -> Window

    Construct and show a generic Window.
Returns: EvtHandler Overrides: object.__init__ (inherited documentation)

### get_focussed_leaf(self) | source code
Retrieves the currently focused leaf. Typically, used to process some action over the focused widget.

### add_content(self, content) | source code
Adds he supplied content widget to the multisash, setting it as child of the bottom leaf. @param content The new content widget to add. @type content Any wx.Window derived object.

### refresh_bottom_leaf(self, bottom_leaf=None) | source code
Updates the field that keeps track of the bottom leaf. It is required to ensure new leafs are created under the bottom one. If the bottom leaf is supplied as parameter, it is set. Typically, after a new leaf has been added/created. If the bottom leaf ins not supplied ad parameter, it will be dinamically obtained. Typically, after leaf destruction. @param bottom_leaf The leaf to be set as bottom one @type bottom_leaf wx.MultiViewLeaf

### refresh_displayed_leafs(self, splitter) | source code
Recursively find all displayed leafs. @param splitter The multisash splitter to traverse its leafs for. @type splitter cMultiSashSplitter